Message::Passing::Output::IO::Handle(3pm)

NAME
Message::Passing::Output::IO::Handle - output to an IO handle

SYNOPSIS
    my $out = Message::Passing::Output::IO::Handle->new(
        fh => \*STDOUT,
        append => "\n",
    );
    # $out will now act like Message::Passing::Output::STDOUT

DESCRIPTION
Output messages to an IO::Handle like handle, i.e. any class which implements a "->print($stuff)" method.

ATTRIBUTES

  fh
The file handle object. Required.

  append
String to append to each message. Defaults to "\n"

METHODS

  consume
Consumes a message by printing it, followed by \n

SEE ALSO
Message::Passing

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.